@media (min-width: 1600px) {
    .modal-dialog {
        max-width: 800px;
    }
    /* width */
     ::-webkit-scrollbar {
        width: 4px;
    }
    /* Track */
     ::-webkit-scrollbar-track {
        background: #f1f1f1;
    }
    /* Handle */
     ::-webkit-scrollbar-thumb {
        background: #888;
    }
    /* Handle on hover */
     ::-webkit-scrollbar-thumb:hover {
        background: #555;
    }
    #addModal {
        top: 110px !important;
        right: -264px !important;
    }
    .col-lg {
        -ms-flex-preferred-size: 0;
        flex-basis: 0;
        -ms-flex-positive: 1;
        flex-grow: 1;
        max-width: 100%;
    }
    .col-xxl-auto {
        -ms-flex: 0 0 auto;
        flex: 0 0 auto;
        width: auto;
        max-width: none;
    }
    .col-xxl-1 {
        -ms-flex: 0 0 8.333333%;
        flex: 0 0 8.333333%;
        max-width: 8.333333%;
    }
    .col-xxl-2 {
        -ms-flex: 0 0 16.666667%;
        flex: 0 0 16.666667%;
        max-width: 16.666667%;
    }
    .col-xxl-3 {
        -ms-flex: 0 0 25%;
        flex: 0 0 25%;
        max-width: 25%;
    }
    .col-xxl-4 {
        -ms-flex: 0 0 33.333333%;
        flex: 0 0 33.333333%;
        max-width: 33.333333%;
    }
    .col-xxl-5 {
        -ms-flex: 0 0 41.666667%;
        flex: 0 0 41.666667%;
        max-width: 41.666667%;
    }
    .col-xxl-6 {
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;
        max-width: 50%;
    }
    .col-xxl-7 {
        -ms-flex: 0 0 58.333333%;
        flex: 0 0 58.333333%;
        max-width: 58.333333%;
    }
    .col-xxl-8 {
        -ms-flex: 0 0 66.666667%;
        flex: 0 0 66.666667%;
        max-width: 66.666667%;
    }
    .col-xxl-9 {
        -ms-flex: 0 0 75%;
        flex: 0 0 75%;
        max-width: 75%;
    }
    .col-xxl-10 {
        -ms-flex: 0 0 83.333333%;
        flex: 0 0 83.333333%;
        max-width: 83.333333%;
    }
    .col-xxl-11 {
        -ms-flex: 0 0 91.666667%;
        flex: 0 0 91.666667%;
        max-width: 91.666667%;
    }
    .col-xxl-12 {
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }
    .order-xxl-first {
        -ms-flex-order: -1;
        order: -1;
    }
    .order-xxl-last {
        -ms-flex-order: 13;
        order: 13;
    }
    .order-xxl-0 {
        -ms-flex-order: 0;
        order: 0;
    }
    .order-xxl-1 {
        -ms-flex-order: 1;
        order: 1;
    }
    .order-xxl-2 {
        -ms-flex-order: 2;
        order: 2;
    }
    .order-xxl-3 {
        -ms-flex-order: 3;
        order: 3;
    }
    .order-xxl-4 {
        -ms-flex-order: 4;
        order: 4;
    }
    .order-xxl-5 {
        -ms-flex-order: 5;
        order: 5;
    }
    .order-xxl-6 {
        -ms-flex-order: 6;
        order: 6;
    }
    .order-xxl-7 {
        -ms-flex-order: 7;
        order: 7;
    }
    .order-xxl-8 {
        -ms-flex-order: 8;
        order: 8;
    }
    .order-xxl-9 {
        -ms-flex-order: 9;
        order: 9;
    }
    .order-xxl-10 {
        -ms-flex-order: 10;
        order: 10;
    }
    .order-xxl-11 {
        -ms-flex-order: 11;
        order: 11;
    }
    .order-xxl-12 {
        -ms-flex-order: 12;
        order: 12;
    }
    .offset-xxl-0 {
        margin-left: 0;
    }
    .offset-xxl-1 {
        margin-left: 8.333333%;
    }
    .offset-xxl-2 {
        margin-left: 16.666667%;
    }
    .offset-xxl-3 {
        margin-left: 25%;
    }
    .offset-xxl-4 {
        margin-left: 33.333333%;
    }
    .offset-xxl-5 {
        margin-left: 41.666667%;
    }
    .offset-xxl-6 {
        margin-left: 50%;
    }
    .offset-xxl-7 {
        margin-left: 58.333333%;
    }
    .offset-xxl-8 {
        margin-left: 66.666667%;
    }
    .offset-xxl-9 {
        margin-left: 75%;
    }
    .offset-xxl-10 {
        margin-left: 83.333333%;
    }
    .offset-xxl-11 {
        margin-left: 91.666667%;
    }
    .d-xxl-none {
        display: none !important;
    }
    .d-xxl-inline {
        display: inline !important;
    }
    .d-xxl-inline-block {
        display: inline-block !important;
    }
    .d-xxl-block {
        display: block !important;
    }
    .d-xxl-table {
        display: table !important;
    }
    .d-xxl-table-row {
        display: table-row !important;
    }
    .d-xxl-table-cell {
        display: table-cell !important;
    }
    .d-xxl-flex {
        display: -ms-flexbox !important;
        display: flex !important;
    }
    .d-xxl-inline-flex {
        display: -ms-inline-flexbox !important;
        display: inline-flex !important;
    }
    .div-day-off-from-day {
        margin-left: -185px;
    }
    .group-btn-search-day-off {
        margin-left: -165px !important;
    }
    .mb-xxl-4 {
        margin-bottom: 1.5rem !important;
    }
}

#modal-form {
    overflow-y: scroll;
}

#modal-form::-webkit-scrollbar {
    display: none;
}

#modal-form {
    -ms-overflow-style: none;
    scrollbar-width: none;
}


/* loader */


/* start load */

.preloading {
    overflow: hidden;
}

.load {
    width: 100%;
    height: 100%;
    background: #fff;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10000;
    display: block;
    overflow: hidden;
}

.lds-ellipsis {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
}

.lds-ellipsis div {
    position: absolute;
    top: 33px;
    width: 13px;
    height: 13px;
    border-radius: 50%;
    background: #1F78D1;
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
}

.lds-ellipsis div:nth-child(1) {
    left: 8px;
    animation: lds-ellipsis1 0.6s infinite;
}

.lds-ellipsis div:nth-child(2) {
    left: 8px;
    animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(3) {
    left: 32px;
    animation: lds-ellipsis2 0.6s infinite;
}

.lds-ellipsis div:nth-child(4) {
    left: 56px;
    animation: lds-ellipsis3 0.6s infinite;
}

@keyframes lds-ellipsis1 {
    0% {
        transform: scale(0);
    }
    100% {
        transform: scale(1);
    }
}

@keyframes lds-ellipsis3 {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(0);
    }
}

@keyframes lds-ellipsis2 {
    0% {
        transform: translate(0, 0);
    }
    100% {
        transform: translate(24px, 0);
    }
}

.load .title-loading {
    font-weight: 400;
    font-size: 24px;
    margin: auto;
}

.load .div-load {
    text-align: center;
    position: absolute;
    top: calc(50% - 40px);
    left: calc(50% - 43.5px);
}

.load .div-load.santa {
    position: initial;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.load .div-load.santa img {
    max-width: calc(100% - 20px);
}


/* endload */

.btn,
.btn:active,
.btn:focus,
.btn:hover {
    box-shadow: none;
}

.card {
    /*box-shadow: none;*/
}

.text-blue {
    color: blue !important;
}

.no-padding-left {
    padding-left: 0 !important;
}

.no-padding-right {
    padding-right: 0 !important;
}

.f-22 {
    font-size: 22px;
}

.mw-100 {
    max-width: 100%;
}

.w-45 {
    width: 45%;
}

.w-65 {
    width: 65%;
}

.w-73 {
    width: 73%;
}

.w-95 {
    width: 95%;
}

.w-90 {
    width: 90%;
}

.w-95 {
    width: 95%;
}

.h-48 {
    height: 48px;
}

.no-border {
    border: none !important;
}

.select-normal {
    display: block !important;
}

#main-nav {
    /*background: #feaf25 !important;*/
    background: #97bfe4 !important;
}

#main-nav .nav-link {
    color: white;
}

#nav_bar_avatar {
    padding: 0;
}

#nav_bar_avatar img {
    height: 40px;
    width: 40px;
}

.navbar.navbar-light .breadcrumb .nav-item.active>.nav-link,
.navbar.navbar-light .navbar-nav .nav-item.active>.nav-link {
    background: #ffffff;
    color: #4284f4 !important;
}

.navbar-expand-lg .navbar-nav .nav-link {
    padding-right: 1.0rem;
    padding-left: 1.0rem;
}

.navbar .breadcrumb .breadcrumb-item.active,
.navbar .breadcrumb .breadcrumb-item:before {
    color: black;
}

.navbar.scrolling-navbar .navbar-nav>li.active {
    background: #00000012;
}

.breadcrumb-item a.waves-effect,
.breadcrumb-item a.waves-light {
    display: inline;
}

.normal-text {
    line-height: 40px;
}

.contactTbl tbody td,
.contactTbl tbody th {
    vertical-align: middle;
    padding: 0.5rem 0.5rem;
}

.contactTbl .td-approve {
    padding: 0;
}

.contactTbl .td-approve .btn-info,
.contactTbl .td-approve .btn-warning {
    padding: 8px 15px;
}

.nosort.sorting_asc::after,
.nosort.sorting_asc::after {
    display: none;
}

#contactTbl .avatar,
.contactTbl .avatar {
    width: 40px;
    height: 40px;
}

.sidebar-fixed {
    height: 100%;
    width: 270px;
    -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
    z-index: 1030;
    background-color: #fff;
    padding: 1.5rem;
    padding-top: 0;
    overflow-y: auto;
}

.sidebar-fixed .list-group .active {
    -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
    -webkit-border-radius: 5px;
    border-radius: 5px;
}

.sidebar-fixed .logo-wrapper {
    margin-top: 1rem;
    padding: 1rem 2rem 1rem 2rem;
}

.sidebar-fixed .logo-wrapper img {
    max-height: 150px;
}

.pure-material-checkbox {
    z-index: 0;
    position: relative;
    display: inline-block;
    color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.87);
    font-family: var(--pure-material-font, "Roboto", "Segoe UI", BlinkMacSystemFont, system-ui, -apple-system);
    font-size: 16px;
    line-height: 1.5;
}


/* Input */

.pure-material-checkbox>input {
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    z-index: -1;
    position: absolute;
    left: -10px;
    top: -8px;
    display: block;
    margin: 0;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    background-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.6);
    box-shadow: none;
    outline: none;
    opacity: 0;
    transform: scale(1);
    pointer-events: none;
    transition: opacity 0.3s, transform 0.2s;
}


/* Span */

.pure-material-checkbox>span {
    display: inline-block;
    width: 100%;
    cursor: pointer;
}


/* Box */

.pure-material-checkbox>span::before {
    content: "";
    display: inline-block;
    box-sizing: border-box;
    margin: 3px 11px 3px 1px;
    border: solid 2px;
    /* Safari */
    border-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.6);
    border-radius: 2px;
    width: 18px;
    height: 18px;
    vertical-align: top;
    transition: border-color 0.2s, background-color 0.2s;
}


/* Checkmark */

.pure-material-checkbox>span::after {
    content: "";
    display: block;
    position: absolute;
    top: 3px;
    left: 2px;
    width: 10px;
    height: 5px;
    border: solid 2px transparent;
    border-right: none;
    border-top: none;
    transform: translate(3px, 4px) rotate(-45deg);
}

#change_background {
    -webkit-appearance: none;
    border: none;
    width: 40px;
    height: 40px;
}

.div-change-color {
    height: 40px;
    line-height: 40px;
}

.title_change_color {
    font-weight: 400;
    font-size: 18px;
}

#slide-out .list-group-flush {
    background-color: rgb(255, 255, 255);
    opacity: 0.8 !important;
    color: black;
}

#slide-out .list-group-flush a {
    color: black;
    font-weight: 400;
}

#change_background {
    margin-right: 12px;
}

#change_background::-webkit-color-swatch-wrapper {
    padding: 0;
}

#change_background::-webkit-color-swatch {
    border: none;
}

#change_title {
    -webkit-appearance: none;
    border: none;
    width: 40px;
    height: 40px;
}

#change_title {
    margin-right: 12px;
}

#change_title::-webkit-color-swatch-wrapper {
    padding: 0;
}

#change_title::-webkit-color-swatch {
    border: none;
}

.active {
    border: none !important;
}

.menu-active {
    color: #ffffff !important;
}

.menu-active i {
    color: #ffffff !important;
}


/* Checked, Indeterminate */

.pure-material-checkbox>input:checked,
.pure-material-checkbox>input:indeterminate {
    background-color: rgb(var(--pure-material-primary-rgb, 33, 150, 243));
}

.pure-material-checkbox>input:checked+span::before,
.pure-material-checkbox>input:indeterminate+span::before {
    border-color: rgb(var(--pure-material-primary-rgb, 33, 150, 243));
    background-color: rgb(var(--pure-material-primary-rgb, 33, 150, 243));
}

.pure-material-checkbox>input:checked+span::after,
.pure-material-checkbox>input:indeterminate+span::after {
    border-color: rgb(var(--pure-material-onprimary-rgb, 255, 255, 255));
}

.pure-material-checkbox>input:indeterminate+span::after {
    border-left: none;
    transform: translate(4px, 3px);
}


/* Hover, Focus */

.pure-material-checkbox:hover>input {
    opacity: 0.04;
}

.pure-material-checkbox>input:focus {
    opacity: 0.12;
}

.pure-material-checkbox:hover>input:focus {
    opacity: 0.16;
}


/* Active */

.pure-material-checkbox>input:active {
    opacity: 1;
    transform: scale(0);
    transition: transform 0s, opacity 0s;
}

.pure-material-checkbox>input:active+span::before {
    border-color: rgb(var(--pure-material-primary-rgb, 33, 150, 243));
}

.pure-material-checkbox>input:checked:active+span::before {
    border-color: transparent;
    background-color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.6);
}


/* Disabled */

.pure-material-checkbox>input:disabled {
    opacity: 0;
}

.pure-material-checkbox>input:disabled+span {
    color: rgba(var(--pure-material-onsurface-rgb, 0, 0, 0), 0.38);
    cursor: initial;
}

.pure-material-checkbox>input:disabled+span::before {
    border-color: currentColor;
}

.pure-material-checkbox>input:checked:disabled+span::before,
.pure-material-checkbox>input:indeterminate:disabled+span::before {
    border-color: transparent;
    background-color: currentColor;
}

.fixed-action-btn {
    position: fixed;
    z-index: 998;
    right: 35px;
    bottom: 35px;
    margin-bottom: 0;
    padding-top: 15px;
}

.table tbody tr.select {
    background: #e5edff;
}


/*work_time*/

.fixed-action-btn {
    position: fixed;
    z-index: 998;
    right: 24px;
    bottom: 24px;
    margin-bottom: 0;
    padding-top: 15px;
}

.table tbody tr.select {
    background: #e5edff;
}

.w-22 {
    width: 23% !important;
}

.select-month {
    margin-bottom: 24px;
}

.list-work-time th {
    font-weight: bold;
    font-size: 14px;
    padding: 10px;
}

.list-work-time td {
    padding: 10px;
}

.btn-early-late {
    background: red;
    height: 45px;
    margin-top: 6px;
    border: none;
    border-radius: 4px;
    color: white;
}

.btn-ot {
    background: #4285f4;
    height: 45px;
    margin-top: 6px;
    border: none;
    border-radius: 4px;
    color: white;
    margin-left: 10px;
}

.btn-late-ot {
    background: #00c851;
    height: 45px;
    margin-top: 6px;
    border: none;
    border-radius: 4px;
    color: white;
    margin-left: 10px;
}

.btn-approve {
    width: 43%;
    height: 35px;
    color: white;
    background: #00c851;
    border: none;
    border-radius: 3px;
}

.btn-approve:hover {
    cursor: pointer;
    background: #36d174;
}

.btn-reject {
    width: 43%;
    height: 35px;
    color: white;
    background: #ff3547;
    border: none;
    border-radius: 3px;
}

.btn-reject:hover {
    cursor: pointer;
    background: #fc717d;
}

.statistic {
    margin: 0;
    margin-bottom: 24px;
    border-bottom: 1px solid #ccc;
    border-top: 1px solid #ccc;
    padding: 10px;
}

.statistic>div {
    margin-right: 10px;
    border-radius: 5px;
}

.statistic>div>span {
    padding: 10px 15px;
}


/*Day_off CSS*/

.red-circle {
    display: block;
    height: 1.5rem;
    width: 1.5rem;
    background: tomato;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border-radius: 50%;
}

.orange-circle {
    display: block;
    height: 1.5rem;
    width: 1.5rem;
    background: #FFBB34;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border-radius: 50%;
}

.green-circle {
    display: block;
    height: 1.5rem;
    width: 1.5rem;
    background: limegreen;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border-radius: 50%;
}

.green-red-circle {
    display: block;
    height: 1.5rem;
    width: 1.5rem;
    background: transparent;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border-radius: 50%;
    position: relative;
    overflow: hidden;
}

.green-red-circle::before {
    content: '';
    display: block;
    width: .75rem;
    height: 1.5rem;
    position: absolute;
    left: 0;
    top: 0;
    background: tomato;
}

.green-red-circle::after {
    content: '';
    display: block;
    width: .75rem;
    height: 1.5rem;
    position: absolute;
    right: 0;
    top: 0;
    background: limegreen;
}

.spinner-border {
    display: inline-block;
    width: 2rem;
    height: 2rem;
    vertical-align: text-bottom;
    border: .25em solid currentColor;
    border-right-color: transparent;
    border-radius: 50%;
    -webkit-animation: spinner-border .75s linear infinite;
    animation: spinner-border .75s linear infinite;
}

.cursor-effect {
    cursor: pointer;
    user-select: none;
}

@keyframes spinner-border {
    0% {
        transform: rotate(0deg);
    }
    25% {
        transform: rotate(90deg);
    }
    50% {
        transform: rotate(180deg);
    }
    75% {
        transform: rotate(270deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@media (min-width: 1200px) {
    .navbar,
    .page-footer,
    main {
        padding-left: 270px;
    }
    .split-date {
        position: relative;
        top: 10px;
        left: 20px;
    }
    tr.calendar-header td {
        background: #eeeeee;
        color: #000000;
        text-align: center;
        padding: 17px 0 17px 0;
        /*height: 4em;*/
        /*padding: 20px 5px;*/
    }
    tr.calendar-body td {
        width: 162px;
        height: 120px;
        padding-top: 25px;
        cursor: pointer;
    }
    .m-t-4em {
        margin-top: 4rem !important;
    }
}


/*      Display 15inch      */

@media (min-width: 768px) and (max-width: 1564px) {
    tr.calendar-body td {
        width: 162px;
        height: 95px;
        padding-top: 15px;
        cursor: pointer;
    }
    tr.calendar-header td {
        background: #eeeeee;
        color: #000000;
        text-align: center;
        padding: 15px 0 15px 0;
        /*height: 4em;*/
        /*padding: 20px 5px;*/
    }
    .d-none-15inch {
        display: none;
    }
    .home-title-event {
        font-size: 18px;
    }
    .home-event-content-right {
        font-size: 15px;
    }
    .mb-15ich-0 {
        margin-bottom: 0 !important;
    }
    .btn-detail-laptop {
        position: absolute;
        bottom: 0;
        right: 0;
    }
}

.profile {
    background: #f6f6f6;
    margin-bottom: 15px;
    padding-bottom: 50px;
    box-sizing: border-box;
}

.title-profile {
    margin: 15px 0;
}

.index-profile {
    color: #000;
    font-weight: bold;
    height: 40px;
    padding-bottom: 10px;
    border-bottom: 1px solid #333;
    font-size: 24px;
}

.bold {
    font-weight: bold;
}

.name-profile {
    font-size: 28px;
    color: #0e2452;
}

.position-profile {
    font-size: 24px;
    color: #333;
}

.md-form {
    position: relative;
}

.md-form>.fas {
    position: absolute;
    top: 10%;
    right: 10px;
}

.md-form>.fas {
    display: none;
}

.hidden {
    display: none;
}

.required {
    color: red;
    margin-right: 35px;
}

.joinEvent {
    justify-content: center !important;
}


/*Nguyễn Thanh Tùng*/

.btn-close-icon {
    display: block;
    background: #DDDDDD;
    border-radius: 30px;
    width: 26px;
    height: 27px;
}

.text-w-400 {
    font-weight: 400;
}

.select-item {
    opacity: 0.7;
}

#bg-img {
    background-size: cover;
    background-position: center;
}

.modal-center {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow-y: auto;
    min-height: calc(100vh - 60px);
}

.text-black {
    color: black;
}

.calendar-year {
    height: 50px;
    background: #f4f4f4;
    border: none;
}

#option-calendar {
    background: #f4f4f4;
}

#select-month {
    height: 48px !important;
    border: 2px solid #f4f4f4;
}

.dayoff-header {
    width: 80px;
    height: 80px;
    position: relative;
}

.dayoff-icoin {
    font-size: 33px;
    position: absolute;
    left: 24px;
    top: 23px;
    margin: 0 auto;
}

#dayoff-option-header-4 {
    background: #ff848f;
}

#dayoff-option-header-3 {
    background: #ffda91;
}

#dayoff-option-header-2 {
    background: #2aea78;
}

#dayoff-option-header-1 {
    background: #79abff;
}

#bg-yellow {
    background: #ffbb33;
}

.dayoff-cioin-1-2-3 {
    left: 29px !important;
}

.text-size-header {
    font-size: 16px !important;
}

#btnSearch {
    background: #f4f4f4 !important;
    ;
}

.color-search {
    color: #d8d8d8;
    font-size: 18px;
}

.table-name {
    width: 210px;
    white-space: nowrap;
    overflow: hidden;
    -ms-text-overflow: ellipsis;
    text-overflow: ellipsis;
}

.border-radius-2 {
    border-radius: 12px;
}

.border-radius-1 {
    border-radius: 6px;
}

.table-title {
    width: 200px;
    white-space: nowrap;
    overflow: hidden;
    -ms-text-overflow: ellipsis;
    text-overflow: ellipsis;
}

.select_year {
    background: #f4f4f4;
    text-align-last: center;
}

@media (min-width: 768px) and (max-width: 1366px) {
    .dayoff-header {
        width: 40px;
        height: 40px;
        position: relative;
    }
    .dayoff-icoin {
        font-size: 27px;
        position: absolute;
        left: 8px !important;
        top: 6px;
    }
    .dayoff-icoin-close {
        left: 6px !important;
    }
    .dayoff-cioin-1-2-3 {
        left: 10px !important;
    }
    .text-size-header {
        font-size: 14px !important;
    }
    .text-size-table {
        font-size: 12px;
    }
    .size-table {
        left: 7px;
        top: 7px;
    }
    .mt-lt-13 {
        bottom: 22px !important;
    }
}


/*      Display 18inch        */

@media (min-width: 1800px) {
    .ml-xxl-2 {
        margin-left: -60px;
    }
    .ml-xxl-1 {
        margin-left: -56px;
    }
    .ml-xxxl-1 {
        margin-left: -57px;
    }
    .d-none-18inch {
        display: none;
    }
    .mb-1-18inch {
        margin-bottom: 1rem !important;
    }
    .my-3-18inch {
        margin-bottom: 1rem !important;
        margin-top: 1rem !important;
    }
}


/*
        Style work time calendar
 */

.table-work-time {
    display: flex;
}

.tr-work-time {
    justify-content: center;
}

.select-month-calendar {
    padding-top: 7px;
}

.chooseMonth,
.chooseYear {
    height: 45px;
}

table.calendarTable thead th {
    width: 13%;
}

#calendar tr td:first-child,
#calendar tr td:last-child {
    background: #eeeeee;
    color: #ff3549;
}

table.calendarTable td {
    padding: 35px 0 35px 0;
    text-align: center;
    font-size: 1.5em;
    font-weight: bold;
}

.time-work {
    font-size: 12px;
}

#calendar {
    width: 100%;
    border-collapse: collapse;
}

#calendar tr td {
    border: 0.5em solid #fff;
    background-color: #eeeeee;
    /*padding: 20px 5px;*/
    width: 14.28%;
    vertical-align: top;
    text-align: center;
}

#calendar tr td.type1,
#calendar tr td.type5 {
    color: white;
}

.dayNumber {
    font-size: 1.7em;
    font-weight: bold;
}

td.blank,
.type-1,
.type-2 {
    opacity: 0.4;
}

.attendance-time {
    margin-top: 5px;
    padding: 5px;
    font-size: 0.8em;
    max-height: 5em;
    overflow: hidden;
}

.calendar-td-body {
    user-select: none;
}

.modal-set-center {
    margin-left: 43%;
}

.permission-modal-set-center {
    margin-left: 43%;
}

.data-type-1 {
    background-color: #ff3548 !important;
    color: #ffffff !important;
}

.data-type-2 {
    background-color: #00c851 !important;
    color: #ffffff !important;
}

.data-type-4 {
    background-color: #4385f5 !important;
    color: #ffffff !important;
}

.data-type-5 {
    color: white;
    background: rgba(248, 80, 50, 1) !important;
    background: linear-gradient(to bottom right, #ff3547 50%, #4285f4 50%) !important;
}

.text-d-bold {
    font-weight: bold;
}

#number_off-error,
#title-error,
#exampleFormControlTextarea2-error,
#approver_id-error,
#option_check-error,
#exampleFormControlTextarea4-error,
#note-error,
#start_at-error,
#end_at-error,
#project_id-error,
#reason-error,
#explanation_type-error,
#ot_type-error,
#content-error,
#type_device-error,
#mdb-select-error,
#assgin_comment-error {
    color: red;
}

#mdb-select-error {
    font-size: 16px;
    -webkit-transform: translateY(-140%);
    -ms-transform: translateY(-140%);
    transform: translateY(-140%);
    position: absolute;
    top: 75px;
}

#mdb-select {
    margin-top: -0.5rem;
}

#note-error {
    margin-left: 15px;
    margin-top: 10px;
}

.paginate-center {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.list-reulation {
    margin-left: 15px;
    font-size: 19px;
}

.list-reulation .index-regulation {
    width: 25px;
    display: inline-block;
}

.color-red {
    color: red;
}

#post-content .post-item {
    border-bottom: 1px solid #ccc;
}

#post-content {
    padding-top: 0 !important;
    padding-bottom: 10px !important;
}

#post-content .post-item:last-child {
    border-bottom: none;
}

.other-ot {
    top: 1px;
    right: 10px;
    position: relative;
    opacity: 1;
}

.m-l-15 {
    margin-left: 15px;
}

.ml-40 {
    margin-left: 40%;
}

.ml-36 {
    margin-left: 36%;
}

.m-t-20 {
    margin-top: -20px;
}

.p-t-2-2 {
    padding-top: 2.2rem !important;
}


/*
            End work time calendar
 */

.text-size-header-1 {
    font-size: 14px !important;
}

#btn-select {
    color: black !important;
    background: white !important;
    width: 200px;
}

.select-search {
    height: 48px;
}

.day-off-icoi {
    left: 25px;
}

#home .post-item {}

#home .post-item img {
    max-height: 160px;
}

.elipsis-line {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
}

.elipsis-line.line-2.fix-2 {
    min-height: 60px;
}

.elipsis-line.line-2 {
    -webkit-line-clamp: 2;
    /* number of w-74lines to show */
    line-height: 30px;
    /* fallback */
    max-height: 60px;
    /* fallback */
}

.elipsis-line.line-3 {
    -webkit-line-clamp: 3;
    /* number of lines to show */
    line-height: 22px;
    /* fallback */
    max-height: 90px;
    /* fallback */
}

.elipsis-line.line-3.fix-3 {
    min-height: 90px;
}

.permission-reason,
.permission-reason-late-ot,
.permission-reason-late,
.permission-reason-early,
.permission-reason-ot {
    margin: 0 auto;
}

.mg-center {
    margin: 0 auto;
}

.mg-left-10 {
    margin-left: 10%;
}

.td-approve {
    padding: 18px 0;
}

.option-time-day-off {
    height: 38px;
    margin-left: -3px;
    margin-top: 24px;
    background-color: #e9ecef;
    border: none;
    opacity: inherit;
    width: 80px;
    border: 1px solid #e9ecef;
}

.navbar.navbar-light .breadcrumb .nav-item .nav-link:hover,
.navbar.navbar-light .navbar-nav .nav-item .nav-link:hover {
    color: #6098f2;
}

.navbar.navbar-light .breadcrumb .nav-item.active>.nav-link:hover,
.navbar.navbar-light .navbar-nav .nav-item.active>.nav-link:hover,
.navbar.navbar-light .navbar-toggler,
.navbar.navbar-light form .md-form .form-control {
    color: white;
}

.no-box-shadow,
.no-box-shadow:hover {
    box-shadow: none;
}

.ui-datepicker {
    margin-top: 0px;
}

.navbar.fixed-top {
    position: fixed;
}

#punish {
    color: #4285f4;
}

#punish .punish-counter {
    font-size: 50px;
}

#punish .image {
    height: 250px;
}


/*          DAY OFF         */

#btn-detail-day-off {
    border-radius: 3px;
    padding: 14px;
    margin-top: 5px;
}

.day-off-card,
.day-off-approval-card {
    cursor: pointer;
    height: 140px;
}

.table-detail-day-off {
    padding: 0.4rem !important;
}

.group-btn-search-day-off {
    margin-left: -40px;
}

.btn-secondary-search-day-off,
.btn-secondary-search-day-off-approval {
    margin-top: -24px;
}

.pd-15 {
    padding: 15px;
}

#btn-approve,
#btn-assgin-ot-time {
    width: 30%;
    height: 45px;
    background: #36d174;
    font-size: .81rem;
    text-transform: uppercase;
    white-space: normal;
    word-wrap: break-word;
}

#btn-reject,
#btn-reject-assgin {
    width: 30%;
    height: 45px;
    background: #ff3547;
    font-size: .81rem;
    text-transform: uppercase;
    white-space: normal;
    word-wrap: break-word;
}

.md-tabs {
    -webkit-box-shadow: 0 5px 11px 0 rgba(0, 0, 0, .18), 0 4px 15px 0 rgba(0, 0, 0, .15);
    box-shadow: 0 5px 11px 0 rgba(0, 0, 0, .18), 0 4px 15px 0 rgba(0, 0, 0, .15);
    border: 0;
    padding: 0.2rem;
    margin-left: 1rem;
    margin-right: 1rem;
    margin-bottom: -20px;
    background-color: #2bbbad;
    z-index: 1;
    position: relative;
    -webkit-border-radius: .25rem;
    border-radius: .25rem;
}

.calendar-search {
    top: 11px;
    right: 11px;
    font-size: 16px;
    z-index: 0;
    color: darkgrey;
}

.modal.show .modal-dialog {
    overflow: hidden;
}

.modal-open .modal {
    overflow-y: hidden;
}

.select-day {
    padding: 0 15px;
}

.primary-color,
ul.stepper li.active a .circle,
ul.stepper li.completed a .circle {
    background-color: #e0e0e0 !important;
    box-shadow: none;
}

.md-tabs .nav-item.open .nav-link,
.md-tabs .nav-link.active {
    background-color: #4285f4;
    padding: 6px;
    height: 40px;
    font-size: 19px;
}

.md-tabs .nav-link {
    border-radius: 0px;
    padding: 6px;
    color: black;
    font-size: 19px;
}

.md-tabs {
    border: 0;
    padding: 0rem;
    height: 40px;
}

.report-item .sent-to {
    /*background: #ececec;*/
    /*padding: 5px;*/
}

.report-receiver {
    margin-left: 5px;
    padding: 4px 8px 1px;
    border-radius: 18px;
    border: 1px solid #ccc;
}

.report-receiver.me {
    background-color: #fedd61;
}

.report-receiver img {
    width: 30px;
    height: 30px;
    margin-top: -3px;
    margin-left: -6px;
}

.reply-content {
    max-height: 1000px;
    overflow-x: hidden;
    overflow-y: auto;
    color: gray;
}

.replies .created_at {
    font-size: 12px;
    color: grey;
    line-height: 32px;
}

.replies .created_at span {
    display: none;
    transition: all linear 0.5s;
}

.replies .created_at:hover span {
    display: inline-block;
}

.replies .avatar {
    width: 60px;
    height: 60px;
}

#report .txt-time {
    color: gray;
    font-size: 14px;
    line-height: 24px;
}

#report .txt-time .fas {
    /*top: 1px;*/
    /*position: relative;*/
}

#report .txt-time .fa-comments {
    position: relative;
}

#report .txt-time .fa-comments .badge {
    position: absolute;
    font-size: 8px;
    top: -8px;
    left: 7px;
    color: white;
    width: 12px;
    height: 12px;
    border-radius: 50%;
}

@media (min-width: 768px) and (max-width: 1000px) {
    .modal-dialog {
        max-width: 500px;
        margin: 1.75rem auto;
    }
    #app {
        padding-top: 0rem !important;
    }
}

@media (min-width: 576px) {
    .jumbotron {
        padding: 2rem;
    }
}

@media (max-width: 768px) {
    .breadcrumb {
        padding: 10px !important;
    }
    #main {
        padding-top: 2rem !important;
    }
    #search_start_at,
    #search_end_at {
        margin-left: 0 !important;
        width: 95%;
    }
    .calendar-search {
        top: 11px;
        right: 18px;
        font-size: 16px;
        z-index: 0;
        color: darkgrey;
    }
    .btn-secondary-search-day-off,
    .btn-secondary-search-day-off-approval {
        margin-top: -54px;
        width: 15%;
        margin-left: 85%;
    }
    #main {
        padding-top: 1.5rem !important;
    }
    .mb-h5 {
        font-size: 17px;
    }
    #navbarSupportedContent {
        margin-top: 8px;
        border-top: 1px solid #68a2da;
    }
    #inputGroup-sizing-default {
        padding: 0.1rem 1.1rem;
    }
    #notification {
        left: 0;
    }
    .btn-xs-block {
        width: 100%;
    }
}

@media (max-width: 1000px) {
    .sidebar-fixed {
        box-shadow: none;
    }
    #main-nav {
        background: #4a89ff !important;
    }
    #main {
        padding-top: 4rem;
    }
    .md-form {
        margin-top: 1rem !important;
    }
}

@media only screen and (min-device-width: 800px) and (max-device-width: 1000px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: portrait) {
    #slide-out {
        transform: translateX(0%) !important;
    }
    .navbar,
    .page-footer,
    main {
        padding-left: 270px;
    }
}

@media only screen and (min-device-width: 1024px) and (max-device-width: 1366px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: landscape) {
    #slide-out {
        transform: translateX(0%) !important;
    }
    .navbar,
    .page-footer,
    main {
        padding-left: 270px;
    }
}

@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: landscape) {
    #slide-out {
        /*transform: translateX(0%) !important;*/
    }
}

@media (min-width: 1199px) {
    #slide-out {
        transform: translateX(0%) !important;
    }
    .modal-dialog {
        max-width: 700px;
    }
}

@media (min-width: 600px) {
    .navbar.scrolling-navbar.top-nav-collapse {
        padding-top: 10px;
        padding-bottom: 10px;
    }
}

@media (min-width: 568px) and (max-width: 1024px) {
    .permission-modal-set-center {
        margin: 0 auto;
        width: 84%;
    }
    .mobile-font-17 {
        font-size: 1.7rem;
    }
}

.modal-center-content {
    margin-left: 30% !important;
}

@media (min-width: 767px) and (max-width: 1367px) {
    #btn-group-ask {
        display: flex;
        align-items: center;
        justify-content: center;
    }
    #btn-detail-day-off {
        float: right !important;
    }
    .modal-center-content {
        margin-left: 6% !important;
    }
}

@media (min-width: 767px) and (max-width: 1023px) {
    .btn-with {
        width: 22.3%;
    }
    #feedback {
        margin-top: -20px;
    }
    .modal-ipad {
        min-height: calc(90vh - 60px) !important;
        margin: 0 auto !important;
    }
    .bg-img-day-off {
        /* max-height: 689px !important; */
    }
    #btn-show-modal-create {
        position: relative !important;
        right: 11px !important;
        bottom: 10px;
    }
}

@media (min-width: 1024px) and (max-width: 1365px) {
    /* #btn-show-modal-create{
         position: relative !important;
         right: 8px !important;
         bottom: 10px;
     }*/
    .btn-with {
        width: 23%;
    }
    #feedback {
        margin-top: -219px;
    }
    .modal-ipad-pro {
        top: -186px;
    }
    .approval-ipad-pro {
        margin: 0 !important;
        top: 123px;
    }
    .bg-img-day-off {
        /* max-height: 688px !important; */
    }
    #modal-delete-day-off {
        top: 355px;
        margin: 0 !important;
    }
    .device-create-modal {
        margin-top: -13px !important;
        margin-left: 246px;
    }
}

@media (min-width: 1366px) and (max-width: 1450px) {
    .btn-with {
        width: 23.1%;
    }
    #feedback {
        margin-left: 285px;
    }
    #addModal {
        top: 110px !important;
        right: -264px !important;
    }
}

@media (min-width: 1200px) {
    #addModal {
        top: 55px !important;
        right: -271px !important;
    }
}

@media (max-width: 575px) {
    .fixed-action-btn {
        bottom: 7px !important;
    }
    .fix-with-phone {
        width: 86%;
        margin: auto;
    }
    #feedback {
        height: 630px;
        overflow: auto;
    }
    .option-time-day-off {
        width: 100% !important;
        margin-left: 0;
    }
    #result-search {
        margin-top: 40px;
        width: 40px !important;
    }
    .modal-center-display {
        margin: 0 auto;
        width: 92%;
    }
    #btn-detail-day-off {
        width: 100%;
        height: 38px;
        line-height: 14px;
        margin-left: 3px;
    }
    #table-phone {
        margin-top: -39px;
    }
    .navbar-light .navbar-brand {
        margin-right: 0;
    }
    .btn {
        padding: 0.7rem .6rem;
        font-size: .68rem;
        margin: 0.1rem;
    }
    .btn-with {
        width: 48%;
    }
    #btn-late {
        margin: 1px;
    }
    .tab-nav-link-ot {
        padding-top: 20px;
    }
    .table-with-42 {
        width: 41%;
    }
    .table-padding-15 {
        padding: 15px;
    }
    .mb-with-32 {
        width: 32%;
    }
    .permission-modal-set-center {
        margin: 0 auto;
        width: 84%;
    }
    .mobile-mg-right-5 {
        margin-right: 5%;
    }
    .primary-color,
    ul.stepper li.active a .circle,
    ul.stepper li.completed a .circle {
        background-color: #e0e0e0 !important;
        box-shadow: none;
    }
    .md-tabs .nav-item.open .nav-link,
    .md-tabs .nav-link.active {
        border-radius: 0px;
        background-color: #4285f4;
    }
    .md-tabs .nav-link {
        border-radius: 0px;
        color: black;
    }
    .md-tabs {
        border: 0;
        padding: 0rem;
    }
    /* .custom-modal {
         left: 0px !important;
     }*/
}

.wt-textarea-check-ot {
    width: 90%;
    margin: 0 auto;
}

.wt-textarea-current-day {
    width: 94%;
    margin: 0 auto;
}

@media (max-width: 1400px) {
    .bg-img-day-off {
        /* max-height: 547px; */
        /* overflow: auto; */
    }
    .day-off-card,
    .day-off-approval-card {
        cursor: pointer;
        height: 100px !important;
    }
    .content-card-day-off,
    .content-card-day-off-approval {
        font-size: 35px;
        margin-top: -15px;
    }
    .text-size-header-1 {
        font-size: 12px !important;
    }
    .dayoff-icoin {
        font-size: 22px;
        position: absolute;
        left: 11px !important;
        top: 8px;
    }
    .group-btn-search-day-off {
        margin-left: 20px;
    }
    .label-from-days {
        margin-left: 6px;
    }
    #addModal .modal-body {
        overflow-y: auto;
        max-height: 350px;
    }
    .divContent {
        padding: 0 1rem;
        max-height: 400px;
        overflow-y: auto;
    }
}

@media (min-width: 1024px) and (max-width: 1400px) {
    .sidebar-fixed .logo-wrapper img {
        max-height: 120px;
    }
    .sidebar-fixed .logo-wrapper {
        padding: 0;
        margin-top: 5px;
        margin-bottom: 5px;
    }
    .sidebar-fixed .list-group-flush .list-group-item {
        padding: 8px 12px;
    }
}

@media (min-width: 1024px) {
    .custom-modal {
        left: 270px;
    }
    #zoneApproveButton {
        position: absolute;
        z-index: 999;
    }
}

@media (min-width: 1024px) and (max-width: 1100px) {
    .custom-modal {
        top: -303px;
    }
    #modal-form.approval-form.show .modal-dialog {
        transform: translate(25%, 25%);
    }
}

.wrap-text {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.badge {
    top: 2px;
    left: 30px;
    background-color: red;
    color: white;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    /*padding-top: 4px;*/
    /*padding-left: 4px;*/
}

#notification {
    padding: 0;
    max-height: 500px;
    min-width: 350px;
    overflow: auto;
}

#inputGroup-sizing-default {
    padding: 0.6rem 1.6rem;
}

.icon-calendar-event {
    margin-right: 5px;
}

.md-form textarea.md-textarea {
    overflow-y: hidden;
    padding: 0;
    resize: none;
}

.md-form textarea~label.active {
    display: none;
}

.btn-send-suggestion {
    width: 158px;
}

.space-text-5 {
    text-indent: 5px;
}

.img-event-home {
    margin: 0 auto;
}

.text-size-icon {
    font-size: 17px;
}

.master-cursor-initial {
    cursor: initial !important;
}

.master-opacity {
    opacity: 0.3;
}

#result-search {
    width: 85px;
}

@media (min-width: 1700px) {
    .fix-with-detail {
        max-width: 11% !important;
    }
}

.fixed-with-size {
    background-repeat: no-repeat;
    border-radius: 12px;
    height: 150px;
    width: 151px;
}

.center-btn-td {
    padding-top: 0.25rem !important;
    padding-bottom: 0.25rem !important;
    vertical-align: middle !important;
}

.fix-with-table {
    width: 110px;
}

.custom-select-table {
    height: 40px;
    width: 120px;
}

.center-td {
    line-height: 77px;
}

.aqua {
    background-color: aqua !important;
}

.fix-with-remove {
    padding: .5rem 0.5rem !important;
}

#name-error,
#customer-error,
#customer-user_id,
#customer-mission {
    color: red;
    margin-top: 30px;
}

#form-check-time .btn-responsive {
    height: 46px;
}

.cell-content {
    text-overflow: ellipsis;
    word-break: break-word;
}

.cell-content img {
    max-width: 100%;
}

.modal-small {
    max-width: 500px;
}

.id-col {
    width: 50px;
}

.day-col {
    min-width: 80px;
}

.status-col {
    min-width: 100px;
}

.reason-col {
    min-width: 180px;
}

.day-col-manager {
    width: 10%;
}

.day-col-ask {
    width: 120px;
}

.id-col-manager {
    width: 3%;
}
.name-col{
    width: 12%;
}
.btn-late-home{
    position: fixed;
    z-index: 3;
    height: 40px;
    width: 100px;
    bottom:30px;
    right: 20px;
    color: white;
    border:#BB0000 !important;
}
@media only screen and (max-width: 1440px) {
    #slide-out {
        overflow-y: scroll;
    }
}
#GroupFilterOther, #GroupFilterOt {
    max-height: 35px;
    margin-top: 0.5rem;
    margin-right: 15px;
}

.label-option-time {
    padding-left: 25px !important;
}

.permission-reason{
    width: 95%;
}

.mt-20{
    margin-top: 20px;
}

.w-30{
    width: 30%;
}
.m-t-0375 {
    margin-top: 0.375rem !important;
}

.modal.custom {
    margin:50px auto;
}

.modal-dialog.quiz {
    width:50%;
    margin:0 auto;
    overflow-y: initial !important;

}
.modal-body.quiz{
    max-height: 70vh;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 10px 30px;
}
.form-check{
    padding-left:0 !important;
}
.modal-header.quiz{
    padding: 15px;
    border-bottom: 1px solid #e5e5e5;
}
.container.quiz{
    margin: 18px;
    background-color: #f5f5f5;
    border-radius: 10px !important; 
    border: 4px solid #8E908E !important;
}
